Crear tenant
POST
/partner/tenants
const url = 'https://api.overtaker.online/api/v1/partner/tenants';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"name":"example","email":"hello@example.com","bot_name":"example","plan_id":"starter","subdomain":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.overtaker.online/api/v1/partner/tenants \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "email": "hello@example.com", "bot_name": "example", "plan_id": "starter", "subdomain": "example" }'Crea un nuevo tenant (cliente) bajo este partner. El tenant queda activo de inmediato.
Authorizations
Sección titulada «Authorizations »Request Body required
Sección titulada «Request Body required »Responses
Sección titulada « Responses »Successful Response
Media type application/json
PartnerTenantResponse
object
Example generated
{ "tenant_id": "example", "name": "example", "subdomain": "example", "status": "example", "plan_id": "example", "admin_email": "example", "admin_temp_password": "example"}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}